Subject: bug#54705: [PATCH] reader: Add Gemtext reader.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 10 Apr 2022 22:11:29 +0200

Hey!

Arun Isaac <[email-masked]> skribis:

> * src/guile/skribilo/reader/gemtext.scm: New file.
> * src/guile/Makefile.am (readers): Register it.
> * doc/user/syntax.skb (The Gemtext Syntax): New section.
> * tests/readers/gemtext.test: New file.
> * tests/Makefile.am (TESTS): Add readers/gemtext.test.

This looks great to me!

> +(define-module (skribilo reader gemtext)
> +  #:use-module (rnrs io ports)
> +  #:use-module (srfi srfi-26)
> +  #:use-module (srfi srfi-71)
> +  #:use-module (srfi srfi-171)

I’ve just realized that, currently, Skribilo supports Guile 2.x in
addition to 3.0, but neither 2.2 nor 2.0 has (srfi srfi-171).

Maybe the simplest option is to check for (srfi srfi-171) in
configure.ac and disable compilation of this module if it’s unavailable,
similar to the ‘BUILD_RSS2_READER’ conditional.

WDYT?

Minor cosmetic comments:

> +(skribilo-module-syntax)

I think you can omit this line and use regular #:keywords.

That’s all I have to say, thank you!

Ludo’.